Debian Bug report logs - #497172
Please add armel to architecture list for lua-gtk - or maybe use "any"

version graph

Package: lua-gtk; Maintainer for lua-gtk is Enrico Tassi <gareuselesinge@debian.org>;

Reported by: "Martin Guy" <martinwguy@yahoo.it>

Date: Sat, 30 Aug 2008 12:54:01 UTC

Severity: normal

Found in version 0.8+20080510+dash-1

Fixed in version lua-gtk/0.9+20080901-2

Done: Enrico Tassi <gareuselesinge@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#497172; Package lua-gtk. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
New Bug report received and forwarded. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: submit@bugs.debian.org
Subject: Please add armel to architecture list for lua-gtk - or maybe use "any"
Date: Sat, 30 Aug 2008 13:49:25 +0100
Package: lua-gtk
Version: 0.8+20080510+dash-1

lua-gtk is restricted to Architectures i386 and amd64 although
every other lua5.1 package is available on Architecture: any.

I've tried the build on armel and it turns out fine;
would you add armel in debian/control, or expand it to "any" please?

Cheers!




Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#497172; Package lua-gtk. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. Full text and rfc822 format available.

Message #10 received at 497172@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: 497172@bugs.debian.org
Subject: Hold that - build now fails on armel too.
Date: Sat, 30 Aug 2008 14:11:27 +0100
Sorry, I just retried the previously successful build of lua-gtk on
armel, and though the build succeeds, the testsuite fails spewing Bus
errors, which indicate non-aligned 32-bit word accesses.

Please leave this with me unless there is a good reason why lua-gtk
should be x86-only.

Cheers




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#497172; Package lua-gtk. Full text and rfc822 format available.

Acknowledgement sent to Enrico Tassi <gareuselesinge@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 497172@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: Martin Guy <martinwguy@yahoo.it>, 497172@bugs.debian.org
Subject: Re: Bug#497172: Please add armel to architecture list for lua-gtk - or maybe use "any"
Date: Sun, 31 Aug 2008 14:25:43 +0200
On Sat, Aug 30, 2008 at 01:49:25PM +0100, Martin Guy wrote:
> Package: lua-gtk
> Version: 0.8+20080510+dash-1
> 
> lua-gtk is restricted to Architectures i386 and amd64 although
> every other lua5.1 package is available on Architecture: any.
> 
> I've tried the build on armel and it turns out fine;
> would you add armel in debian/control, or expand it to "any" please?

The software should be portable, and the upstream is responsive but I've never
managed to let him access any of our porters machines (I gave him access to my
amd64 box and he managed to fix all problems there). The tricky part is for
sure the C calling convention w.r.t. vararg function and libffi that the
software is deeply using. If you you want to work on it I suggest you to
contact the upstream, he will give you clever hints for sure.

cheers
-- 
Enrico Tassi




Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#497172; Package lua-gtk. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. Full text and rfc822 format available.

Message #20 received at 497172@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: "Enrico Tassi" <gareuselesinge@debian.org>
Cc: 497172@bugs.debian.org
Subject: Re: Bug#497172: Please add armel to architecture list for lua-gtk - or maybe use "any"
Date: Sun, 31 Aug 2008 14:57:06 +0100
done

Upstream bug ticket
http://luaforge.net/tracker/index.php?func=detail&aid=29514&group_id=121&atid=576

Thanks!




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 01 Sep 2008 20:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Enrico Tassi <gareuselesinge@debian.org>:
Bug#497172; Package lua-gtk. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Enrico Tassi <gareuselesinge@debian.org>. Full text and rfc822 format available.

Message #27 received at 497172@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: "Enrico Tassi" <gareuselesinge@debian.org>
Cc: 497172@bugs.debian.org
Subject: Re: Bug#497172: Please add armel to architecture list for lua-gtk - or maybe use "any"
Date: Tue, 2 Sep 2008 12:06:41 +0100
[Message part 1 (text/plain, inline)]
The word-alignment bugs are now fixed in lua-gtk CVS

Upstream's diffs to the source are attached, but it doesn't apply
cleanly to the 0.8 - among other things, there are new source files,
and unrelated extra "const" declarations.

lua-gtk version 0.9 was released on 25 August 2008 - is that in time
for lenny or should I derive and test an alignment patch for 0.8-2008*
?
[lua-gtk-0.9-wordalign.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#497172; Package lua-gtk. Full text and rfc822 format available.

Acknowledgement sent to Enrico Tassi <gareuselesinge@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #32 received at 497172@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: Martin Guy <martinwguy@yahoo.it>
Cc: 497172@bugs.debian.org
Subject: Re: Bug#497172: Please add armel to architecture list for lua-gtk - or maybe use "any"
Date: Tue, 2 Sep 2008 14:33:04 +0200
On Tue, Sep 02, 2008 at 12:06:41PM +0100, Martin Guy wrote:
> The word-alignment bugs are now fixed in lua-gtk CVS
> 
> Upstream's diffs to the source are attached, but it doesn't apply
> cleanly to the 0.8 - among other things, there are new source files,
> and unrelated extra "const" declarations.
> 
> lua-gtk version 0.9 was released on 25 August 2008 - is that in time
> for lenny or should I derive and test an alignment patch for 0.8-2008*
> ?

0.9 is in experimental, and today I'll upload a CVS snapshot to experimental
(it is in the NEW queue, since I've also bumped ABI/API number from 0.8).

I think there is no option for lenny, since we are not fixing an RC bug nor 
a release goal. At the very beginning the package was arch: any but with the 
support of the upstream I switched on only amd64 and i386 to let the package 
move to testing (all other architectures were failing at that time). 

Cheers
-- 
Enrico Tassi




Reply sent to Enrico Tassi <gareuselesinge@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Martin Guy" <martinwguy@yahoo.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 497172-close@bugs.debian.org (full text, mbox):

From: Enrico Tassi <gareuselesinge@debian.org>
To: 497172-close@bugs.debian.org
Subject: Bug#497172: fixed in lua-gtk 0.9+20080901-2
Date: Fri, 05 Sep 2008 18:12:19 +0000
Source: lua-gtk
Source-Version: 0.9+20080901-2

We believe that the bug you reported is fixed in the latest version of
lua-gtk, which is due to be installed in the Debian FTP archive:

liblua5.1-gtk-1_0.9+20080901-2_amd64.deb
  to pool/main/l/lua-gtk/liblua5.1-gtk-1_0.9+20080901-2_amd64.deb
liblua5.1-gtk-dev_0.9+20080901-2_amd64.deb
  to pool/main/l/lua-gtk/liblua5.1-gtk-dev_0.9+20080901-2_amd64.deb
lua-gtk_0.9+20080901-2.diff.gz
  to pool/main/l/lua-gtk/lua-gtk_0.9+20080901-2.diff.gz
lua-gtk_0.9+20080901-2.dsc
  to pool/main/l/lua-gtk/lua-gtk_0.9+20080901-2.dsc
lua-gtk_0.9+20080901.orig.tar.gz
  to pool/main/l/lua-gtk/lua-gtk_0.9+20080901.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 497172@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Enrico Tassi <gareuselesinge@debian.org> (supplier of updated lua-gtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Sep 2008 10:24:47 +0200
Source: lua-gtk
Binary: liblua5.1-gtk-1 liblua5.1-gtk-dev
Architecture: source amd64
Version: 0.9+20080901-2
Distribution: experimental
Urgency: low
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Changed-By: Enrico Tassi <gareuselesinge@debian.org>
Description: 
 liblua5.1-gtk-1 - gtk bindings for the lua language version 5.1
 liblua5.1-gtk-dev - gtk development files for the lua language version 5.1
Closes: 497172
Changes: 
 lua-gtk (0.9+20080901-2) experimental; urgency=low
 .
   * Fixed package content
 .
 lua-gtk (0.9+20080901-1) experimental; urgency=low
 .
   * API changed thanks to automatic closures: API num bumped to 1
   * Added armel to the supported architecture list (Closes: #497172)
Checksums-Sha1: 
 04f303e1a6168801a0a4e87ad2152a2d71d93e40 1470 lua-gtk_0.9+20080901-2.dsc
 fa51f5e3566b90ea9411b6811e869ac380cc475c 331895 lua-gtk_0.9+20080901.orig.tar.gz
 de6f901de3c69d90f6ef936d9b03d8244d2c2987 12743 lua-gtk_0.9+20080901-2.diff.gz
 327b2c7d216e2c0b4fa69da7080904688798f7b4 225302 liblua5.1-gtk-1_0.9+20080901-2_amd64.deb
 7bf3ec4f9527fef69a0e9ad24c7735dabaa6e991 275898 liblua5.1-gtk-dev_0.9+20080901-2_amd64.deb
Checksums-Sha256: 
 3062c96279cf131b7062ae07d11c8405ea2905347a105cd41e293e0e2e4653c5 1470 lua-gtk_0.9+20080901-2.dsc
 34abfba8b5688f094d87d1ad6d6fc372da20f9050177d2ba42e1486108db5730 331895 lua-gtk_0.9+20080901.orig.tar.gz
 b94ae879016ed2e2de1aa15dd2c09245d9f908ed156f08d528fea0e5a737c242 12743 lua-gtk_0.9+20080901-2.diff.gz
 6b20855ea8e3065de74a5254afc565e0a2e4d7e032c8530a8d8bad8a8c2c6122 225302 liblua5.1-gtk-1_0.9+20080901-2_amd64.deb
 d2f5376e650e253a8097d37e5b47f2094d3647ac61db456293b688025c5b17c1 275898 liblua5.1-gtk-dev_0.9+20080901-2_amd64.deb
Files: 
 ab807d098e952dd2f0272674aa663da7 1470 interpreters optional lua-gtk_0.9+20080901-2.dsc
 53cc15bbf0648b90e9e09a1b7a17ecc3 331895 interpreters optional lua-gtk_0.9+20080901.orig.tar.gz
 d21dfdc532141b8a4a768344bd167a96 12743 interpreters optional lua-gtk_0.9+20080901-2.diff.gz
 4bdc4d36cec5ed3d5480fe6c5896315c 225302 interpreters optional liblua5.1-gtk-1_0.9+20080901-2_amd64.deb
 add1f6c74a3679bd1d5ab49339685eb5 275898 libdevel optional liblua5.1-gtk-dev_0.9+20080901-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAki9MqEACgkQ7kkcPgEj8vI95gCeMvPf0WPXvjEOfwuyTCrvfcMM
0QQAoIIAmpG4pgTyI5V0lZ1C7yIy6Av9
=DjLH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Jun 2009 07:40:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:33:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.